/* css slider */
.slider{
    height: 100vh;
    position: relative;
    width: 100%;
}
.slider .list .item{
    position: absolute;
    inset: 0 0 0 0;
    overflow: hidden;
    opacity: 0;
    transition: .5s;
    color: #fff;
}
.slider .list .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.slider .list .item::after{
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    bottom: 0;
    background-image: linear-gradient(
        to top, rgba(0,0,0,0.5) 40%, transparent
    );
}
.slider .list .item .content{
    position: absolute;
    /* left: 10%; */
    left: 16%;
    top: 20%;
    width: 100%;
    max-width: 80%;
    z-index: 1;
}
.slider .list .item .content p:nth-child(1){
    text-transform: uppercase;
    letter-spacing: 5px;
    font-weight: 600;
    padding-left: 10px;
}
.slider .list .item .content h2{
    font-size: 60px;
    margin: 0;
    font-weight: 800;
}
.slider .list .item.active{
    opacity: 1;
    z-index: 10;
}
@keyframes showContent {
    to{
        transform: translateY(0);
        filter: blur(0);
        opacity: 1;
    }
}
.slider .list .item.active p:nth-child(1),
.slider .list .item.active h2,
.slider .list .item.active p:nth-child(3),
.slider .list .item.active ul.slider-list {
    transform: translateY(30px);
    filter: blur(20px);
    opacity: 0;
    animation: showContent .5s .7s ease-in-out 1 forwards;
}
.slider .list .item.active h2{
    animation-delay: 1s;
}
.slider .list .item.active p:nth-child(3), .slider .list .item.active ul.slider-list{
    animation-duration: 1.3s;
}
.arrows{
    position: absolute;
    bottom: 10%;
    right: 50px;
    z-index: 100;
}
.arrows button{
    background-color: #eee5;
    border: none;
    font-family: monospace;
    width: 40px;
    height: 40px;
    border-radius: 5px;
    font-size: x-large;
    color: #eee;
    transition: .5s;
}
.arrows button:hover{
    background-color: #eee;
    color: black;
}
.thumbnail{
    position: absolute;
    bottom: 10px;
    z-index: 11;
    display: flex;
    gap: 10px;
    width: 100%;
    height: 250px;
    padding: 0 50px;
    box-sizing: border-box;
    overflow: auto;
    justify-content: center;
}
.thumbnail::-webkit-scrollbar{
    width: 0;
}
.thumbnail .item{
    width: 150px;
    height: 220px;
    filter: brightness(.6);
    transition: .5s;
    flex-shrink: 0;
    color: #fff;
    cursor: pointer;
}
.thumbnail .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
    
}
.thumbnail .item.active{
    filter: brightness(1.0);
}
.thumbnail .item .content{
    position: absolute;
    width: 100%;
    /* inset: auto 10px 10px 10px; */
    bottom: 0;
    left: 0;
    right: 0;
    background-image: linear-gradient(
        to top, rgba(0,0,0,0.7) 50%, transparent
    ) !important;
    border-radius: 0 0 9px 9px;
    padding-bottom: 20px;
    padding-left: 10px;
}
.slider-list {
   margin-top: 15px;
}
.slider-list li{
  font-size: 20px;
  margin-bottom: 10px;
  position: relative;
  padding-left: 15px;
  display:list-item;
}

.slider-list li::after {
    position: absolute;
    content: '';
    left: 0;
    top: 13px;
    width: 7px;
    height: 7px;
    border-radius: 50%;
    background-color: var(--primary);
}

@media screen and (max-width: 678px) {
    .thumbnail{
        justify-content: start;
        display: none;
    }
    .slider .list .item .content h2{
        font-size: 36px;
    }
    .arrows{
        bottom: 5%;
    }
}